# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(JSON/Pointer.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Test2/Compare/Base.pm) perl(Test2/Require/Module.pm) perl(Test2/Util/HashBase.pm) perl(Test2/Util/Table.pm) perl(Test2/V0.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Test2-Tools-JSON-Pointer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Compare parts of JSON string to data structure using JSON pointers VERSION
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Test2::Tools::JSON::Pointer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a comparison for a JSON string with a JSON pointer.  This
module was inspired by the Test::Mojo manpage, which provides a mechanism for checking
the JSON response from a HTTP body.  This module provides a generic way to
write tests for JSON using a JSON pointer with or without the context of 
the Mojolicious manpage or the HTTP manpage.  It also has a the Test2::Suite manpage style interface.

This module expects a Perl string in Perl's internal representation (utf-8),
NOT raw encoded bytes.  Thus if you are reading files they need to be read
in with the appropriate encoding.  If you are testing against the content
of a the HTTP::Response manpage object you want to use `decoded_content'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE author.yml Changes README
%perl_vendor_privlib/T*

%changelog
* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

